<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="IsModuleTemplate" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.expectedErrorCode">var.expectedErrorCode</Property>
		<Property name="var.query">var.query</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;response>&lt;result>false&lt;/result>&lt;overallResult>false&lt;/overallResult>&lt;error>&lt;code>x&lt;/code>&lt;message>You are not logged in.&lt;/message>&lt;/error>&lt;log>&lt;entries/>&lt;/log>&lt;/response></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISFileSize">212</Property>
		<Property name="ISCurrentTime" type="Long">1751601673737</Property>
		<Property name="ISWorkflowName">VAM_api_zzz_call_api_worse</Property>
		<Property name="ISModuleName">If@@@Begin</Property>
		<Property name="ISModuleId">2</Property>
		<Property name="ISProcessId">650036</Property>
		<Property name="ISUserName">chkaufhold</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISNodeName">100.78.0.66</Property>
		<Property name="ISGlobalProcessId">650036</Property>
		<Property name="ISInvokingWorkflow">VAM_api_zzz_test_bad</Property>
		<Property name="ISInvokingModule">VAM_zzz_api_wfc_api_call_worse</Property>
		<Property name="ISOverwriteSubWorkflowPriority" type="Boolean">false</Property>
		<Property name="ISErrorKey">api-9</Property>
		<Property name="ISErrorString">"selectionFailure": Error selecting an XML element. : The source value is empty.</Property>
		<Property name="ISErrorModuleName">VAM_api_wfc_attachUser</Property>
		<Property name="ISErrorModuleId">346752</Property>
		<Property name="var.locale"></Property>
		<Property name="var.expectedErrorCode">api-9</Property>
		<Property name="var.organizationId">zzzwrite</Property>
		<Property name="var.userContext" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;is:anyElement xmlns:is="http://inubit.com/variables/types">bpcadminxyz&lt;/is:anyElement></Property>
		<Property name="var.query" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;requests/></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="#all" version="2.0">
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.expectedErrorCode"/>&lt;xsl:param name="var.query" as="element()"/>
  &lt;xsl:template match="/*">&lt;xsl:sequence select=".">&lt;!--Ebene 1-->&lt;/xsl:sequence>&lt;xsl:if test="not(self::response)">&lt;xsl:sequence select="error((), 'Expected response(1)')"/>&lt;/xsl:if>&lt;xsl:if test="count(result) != 1 or result != 'false'">&lt;xsl:sequence select="error((), 'result(1) != true')"/>&lt;/xsl:if>&lt;xsl:if test="count(overallResult) != 1 or overallResult != 'false'">&lt;xsl:sequence select="error((), 'overallResult(1) !=  false')"/>&lt;/xsl:if>&lt;xsl:if test="count(error) != 1">&lt;xsl:sequence select="error((), 'Expected error(1)')"/>&lt;/xsl:if>&lt;xsl:if test="$var.expectedErrorCode != '' and not(error/code = $var.expectedErrorCode)">&lt;xsl:sequence select="error((), 'Unexpected error code')"/>&lt;/xsl:if>&lt;xsl:if test="exists(responses)">&lt;xsl:sequence select="error((), 'Not expected responses(1)')"/>&lt;/xsl:if>&lt;xsl:if test="count(log) != 1">&lt;xsl:sequence select="error((), 'Expected log(1)')"/>&lt;/xsl:if>&lt;xsl:if test="exists(*[not(self::result | self::overallResult | self::error | self::log)])">&lt;xsl:sequence select="error((), 'Unexpected')"/>&lt;/xsl:if>&lt;!--Log-->&lt;xsl:if test="exists(log/*[not(self::entries)])">&lt;xsl:sequence select="error((), 'Expected log/entries')"/>&lt;/xsl:if>&lt;xsl:if test="count(log/entries) != 1">&lt;xsl:sequence select="error((), 'Expected log/entries(1)')"/>&lt;/xsl:if>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
	<Property name="xslt_mode">EDIT</Property>
</Properties>